package com.extensibility.plugin.api;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.Reader;
import java.io.Writer;

public interface URIScheme {
   String PLUGIN_NAME = "URIScheme10";

   void registerSchemes(Manager var1);

   URIScheme construct(String var1, String var2);

   URIScheme construct(Object var1);

   URIScheme construct(String var1);

   String computeRelative(URIScheme var1);

   URIScheme toParent();

   String getScheme();

   URIScheme renameTo(String var1);

   String getUIName();

   long getLength();

   InputStream createInputStream() throws IOException;

   Reader createReader() throws IOException;

   Writer createWriter() throws IOException;

   OutputStream createOutputStream() throws IOException;

   boolean exists();

   boolean hasPersistence();

   boolean isEmpty();

   boolean isReadOnly();

   boolean equals(URIScheme var1);

   int compareTo(URIScheme var1);

   String getShortName();

   String getFullPath();

   Object getInterface(Class var1);
}
