package com.extensibility.plugin.api;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.Reader;
import java.io.Writer;

public abstract class URISchemeAdapter implements URIScheme {
   protected static final URIMetaData simpleMeta = new SimpleMetaData();

   public abstract void registerSchemes(URIScheme.Manager var1);

   public abstract URIScheme construct(String var1, String var2);

   public abstract URIScheme construct(Object var1);

   public abstract URIScheme construct(String var1);

   public abstract String getScheme();

   public abstract InputStream createInputStream() throws IOException;

   public abstract Reader createReader() throws IOException;

   public abstract Writer createWriter() throws IOException;

   public abstract OutputStream createOutputStream() throws IOException;

   public abstract boolean exists();

   public abstract int compareTo(URIScheme var1);

   public abstract String getShortName();

   public abstract String getFullPath();

   public String computeRelative(URIScheme var1) {
      return this.getFullPath();
   }

   public URIScheme toParent() {
      return null;
   }

   public URIScheme renameTo(String var1) {
      return null;
   }

   public String getUIName() {
      return this.getShortName();
   }

   public long getLength() {
      return -1L;
   }

   public boolean hasPersistence() {
      return true;
   }

   public boolean isEmpty() {
      return false;
   }

   public boolean isReadOnly() {
      return true;
   }

   public boolean equals(URIScheme var1) {
      return this.compareTo(var1) == 0;
   }

   public Object getInterface(Class var1) {
      URIMetaData var2 = null;
      if (var1 == Class.forName("com.extensibility.plugin.api.URIMetaData")) {
         var2 = simpleMeta;
      }

      return var2;
   }
}
